View Issue Details

IDProjectCategoryView StatusLast Update
0001458OpenMPTPlayback Compatibilitypublic2021-05-09 11:40
Reporterp81k Assigned ToSaga Musix  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionOpenMPT 1.29.09.00 / libopenmpt 0.5.8 (upgrade first) 
Target VersionOpenMPT 1.29.10.00 / libopenmpt 0.5.9 (current stable)Fixed in VersionOpenMPT 1.29.10.00 / libopenmpt 0.5.9 (current stable) 
Summary0001458: SoundTracker order list validation is applied incorrectly to ProTracker MODs
Description

Ich habe die Datei altoflyt.mod, welche mit libopenmpt falsch abgespielt wird. Ich habe noch andere Dateien, deren Name ich mir aber nicht gemerkt habe.

im Anhang findet Ihr die Mod-Datei sowie einmal die mit libmodplug und die mit libopenmpt konvertierte datei als ogg

hoffe, ich kann damit helfen!

Danke für Eure tolle Arbeit!

Steps To Reproduce

altoflyt.mod abspielen

TagsNo tags attached.
Has the bug occurred in previous versions?denke schon
Tested code revision (in case you know it)

Activities

p81k

p81k

2021-05-08 23:48

reporter   ~0004761

hmm, wurden die Dateien hinzugefügt? hier nochmal

altoflyt.zip (4,840,694 bytes)
Saga Musix

Saga Musix

2021-05-09 11:39

administrator   ~0004762

Last edited: 2021-05-09 11:40

Ups, da hat eine Korrektur für ein MOD-Unterformat (WOW) in r13685 wohl einen ungewollten Nebeneffekt gehabt. r14881 korrigiert den Fehler und wird in im nächsten OpenMPT/libopenmpt-Update verfügbar sein. Aktualisierte Testbuilds sollten in ein paar Stunden auf https://builds.openmpt.org/builds/ zur Verfügung stehen.

Issue History

Date Modified Username Field Change
2021-05-08 23:45 p81k New Issue
2021-05-08 23:48 p81k Note Added: 0004761
2021-05-08 23:48 p81k File Added: altoflyt.zip
2021-05-09 11:33 Saga Musix Assigned To => Saga Musix
2021-05-09 11:33 Saga Musix Status new => assigned
2021-05-09 11:39 Saga Musix Note Added: 0004762
2021-05-09 11:40 Saga Musix Status assigned => resolved
2021-05-09 11:40 Saga Musix Resolution open => fixed
2021-05-09 11:40 Saga Musix Fixed in Version => OpenMPT 1.29.10.00 / libopenmpt 0.5.9 (current stable)
2021-05-09 11:40 Saga Musix Target Version => OpenMPT 1.29.10.00 / libopenmpt 0.5.9 (current stable)
2021-05-09 11:40 Saga Musix Summary Abspielen einer MOD-Datei ist komplett falsch, libmodplug macht es korrekt => SoundTracker order list validation is applied incorrectly to ProTracker MODs
2021-05-09 11:40 Saga Musix Note Edited: 0004762
2021-05-09 11:40 Saga Musix Severity major => minor